#pragma once
#include <map>

#include "Texture.h"

class TextureManager
{
public:
	static TextureManager * GetInstance();
	Texture * GetTexture(const std::string& name);

private:
	TextureManager() = default;
	~TextureManager();
	static TextureManager* m_pInstance;

	std::map<std::string, Texture *> m_Textures {};

};
